%define upstream_name    Geometry-Primitive
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    4 sided polygon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Geometry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Check::ISA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(Math::Complex)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Clone)
BuildRequires: perl(MooseX::Storage)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Geometry::Primitive::Arc represents a closed segment of a curve.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.240.0-9.mga10
+ Revision: 2203971
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.240.0-8.mga9
+ Revision: 1809390
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.240.0-7.mga8
+ Revision: 1504572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.240.0-6.mga7
+ Revision: 1283931
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.240.0-5.mga7
+ Revision: 1164502
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.240.0-4.mga7
+ Revision: 1160238
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-3.mga6
+ Revision: 1027795
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.240.0-2.mga6
+ Revision: 951488
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 shlomif <shlomif> 0.240.0-1.mga5
+ Revision: 808098
- imported package perl-Geometry-Primitive


* Fri Jan 02 2015 cpan2dist 0.24-1mga
- initial mageia release, generated with cpan2dist
